"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.plugins = plugins;

var _configHtmlWebpackPlugin = require("./pluginConfigs/configHtmlWebpackPlugin");

var _configEnvVariables = require("./pluginConfigs/configEnvVariables");

var _configI18nSplitPlugin = require("./pluginConfigs/configI18nSplitPlugin");

var _configMiniCSSExtractPlugin = require("./pluginConfigs/configMiniCSSExtractPlugin");

var _configRtlCssPlugin = require("./pluginConfigs/configRtlCssPlugin");

var _configCopyThirdpartyFile = require("./pluginConfigs/configCopyThirdpartyFile");

var _configIgnorePlugin = require("./pluginConfigs/configIgnorePlugin");

var _configUglifyCSSPlugin = require("./pluginConfigs/configUglifyCSSPlugin");

var _configCdnChangePlugin = require("./pluginConfigs/configCdnChangePlugin");

var _configServiceWorkerPlugin = require("./pluginConfigs/configServiceWorkerPlugin");

var _configProgressPlugin = require("./pluginConfigs/configProgressPlugin");

// import { IgnorePlugin } from 'webpack';
function plugins(options) {
  const {
    i18nChunkSplit
  } = options;
  const {
    rtlSplit
  } = options.css.plugins;
  return [(0, _configEnvVariables.configEnvVariables)(options), (0, _configIgnorePlugin.configIgnorePlugin)(options), (0, _configCopyThirdpartyFile.configCopyThirdpartyFile)(options), (0, _configMiniCSSExtractPlugin.configMiniCSSExtractPlugin)(options), i18nChunkSplit.chunkSplitEnable && (0, _configI18nSplitPlugin.configI18nSplitPlugin)(options), rtlSplit.enableRTLSplit && (0, _configRtlCssPlugin.configRtlCssPlugin)(options), (0, _configUglifyCSSPlugin.configUglifyCSSPlugin)(options), (0, _configHtmlWebpackPlugin.configHtmlWebpackPlugin)(options), (0, _configCdnChangePlugin.configCdnChangePlugin)(options), (0, _configServiceWorkerPlugin.configServiceWorkerPlugin)(options), (0, _configProgressPlugin.configProgressPlugin)(options)].filter(Boolean);
}