"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _os = require("os");

// import { join } from 'path';
// import { cliRootPath } from '../constants';
// import { getIp } from '../server/getIp';
var _default = {
  context: {
    value: 'app',
    cli: 'context'
  },
  enableChunkHash: {
    value: true,
    cli: 'enablehash'
  },
  output: {
    value: 'build',
    cli: 'output'
  },
  server: {
    httpsCerts: {
      value: '',
      cli: 'https_certs'
    },
    host: {
      value: (0, _os.hostname)(),
      cli: 'host'
    },
    port: {
      value: 9090,
      cli: 'port'
    },
    domain: {
      value: 'tsi',
      cli: 'domain'
    },
    // domain: { value: null, cli: 'domain' },
    mode: {
      value: 'dev',
      cli: 'mode'
    },
    disableContextURL: false,
    hasMock: false,
    mockPrefix: {
      value: '/api',
      cli: 'mock_prefix'
    },
    mockPort: {
      value: 5000,
      cli: 'mock_port'
    }
  },
  css: {
    selectorReplace: null,
    classNameOptions: {
      classNamePrefix: 'zd',
      classNameBlob: false
    },
    plugins: {
      rtlSplit: {
        enableRTLSplit: false,
        templateLabel: '{{--dir}}',
        disableMinifySelector: false,
        dirVarName: 'document.dir'
      },
      rtl: {
        enable: false,
        exclude: []
      }
    }
  },
  i18nChunkSplit: {
    chunkSplitEnable: {
      value: false,
      cli: 'i18n_split'
    },
    disableDefault: false,
    templateLabel: '{{--user-locale}}',
    localeVarName: 'document.documentElement.lang',
    jsonpFunc: 'console.log',
    jsResource: null,
    propertiesFolder: null
  },
  app: {
    tpFolder: null,
    moduleResolvePath: {
      value: '',
      cli: 'module_resolve_path'
    },
    htmlTemplate: {
      inject: true
    },
    cdnMapping: {
      isCdnEnabled: false,
      variableName: '',
      cssTemplate: '',
      jsTemplate: '',
      i18nTemplate: ''
    },
    serviceWorker: {
      enableSw: false,
      filePath: 'sw.js',
      fileName: 'v1.js',
      exitPath: '/',
      replaceText: '//<!--AssetsFromBuild -->'
    },
    enableSMap: {
      value: false,
      cli: 'source_map_enable'
    }
  }
};
exports.default = _default;